// Code generated by go-swagger; DO NOT EDIT.

package avi

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"fmt"
	"io"

	"github.com/go-openapi/runtime"

	strfmt "github.com/go-openapi/strfmt"

	models "github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/models"
)

// GetAviVipNetworksReader is a Reader for the GetAviVipNetworks structure.
type GetAviVipNetworksReader struct {
	formats strfmt.Registry
}

// ReadResponse reads a server response into the received o.
func (o *GetAviVipNetworksReader) ReadResponse(response runtime.ClientResponse, consumer runtime.Consumer) (interface{}, error) {
	switch response.Code() {
	case 200:
		result := NewGetAviVipNetworksOK()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return result, nil
	case 400:
		result := NewGetAviVipNetworksBadRequest()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 401:
		result := NewGetAviVipNetworksUnauthorized()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 500:
		result := NewGetAviVipNetworksInternalServerError()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	default:
		return nil, runtime.NewAPIError("unknown error", response, response.Code())
	}
}

// NewGetAviVipNetworksOK creates a GetAviVipNetworksOK with default headers values
func NewGetAviVipNetworksOK() *GetAviVipNetworksOK {
	return &GetAviVipNetworksOK{}
}

/*GetAviVipNetworksOK handles this case with default header values.

Successful retrieval of Avi load balancer service engine groups
*/
type GetAviVipNetworksOK struct {
	Payload []*models.AviVipNetwork
}

func (o *GetAviVipNetworksOK) Error() string {
	return fmt.Sprintf("[GET /api/avi/vipnetworks][%d] getAviVipNetworksOK  %+v", 200, o.Payload)
}

func (o *GetAviVipNetworksOK) GetPayload() []*models.AviVipNetwork {
	return o.Payload
}

func (o *GetAviVipNetworksOK) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	// response payload
	if err := consumer.Consume(response.Body(), &o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewGetAviVipNetworksBadRequest creates a GetAviVipNetworksBadRequest with default headers values
func NewGetAviVipNetworksBadRequest() *GetAviVipNetworksBadRequest {
	return &GetAviVipNetworksBadRequest{}
}

/*GetAviVipNetworksBadRequest handles this case with default header values.

Bad request
*/
type GetAviVipNetworksBadRequest struct {
	Payload *models.Error
}

func (o *GetAviVipNetworksBadRequest) Error() string {
	return fmt.Sprintf("[GET /api/avi/vipnetworks][%d] getAviVipNetworksBadRequest  %+v", 400, o.Payload)
}

func (o *GetAviVipNetworksBadRequest) GetPayload() *models.Error {
	return o.Payload
}

func (o *GetAviVipNetworksBadRequest) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewGetAviVipNetworksUnauthorized creates a GetAviVipNetworksUnauthorized with default headers values
func NewGetAviVipNetworksUnauthorized() *GetAviVipNetworksUnauthorized {
	return &GetAviVipNetworksUnauthorized{}
}

/*GetAviVipNetworksUnauthorized handles this case with default header values.

Incorrect credentials
*/
type GetAviVipNetworksUnauthorized struct {
	Payload *models.Error
}

func (o *GetAviVipNetworksUnauthorized) Error() string {
	return fmt.Sprintf("[GET /api/avi/vipnetworks][%d] getAviVipNetworksUnauthorized  %+v", 401, o.Payload)
}

func (o *GetAviVipNetworksUnauthorized) GetPayload() *models.Error {
	return o.Payload
}

func (o *GetAviVipNetworksUnauthorized) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewGetAviVipNetworksInternalServerError creates a GetAviVipNetworksInternalServerError with default headers values
func NewGetAviVipNetworksInternalServerError() *GetAviVipNetworksInternalServerError {
	return &GetAviVipNetworksInternalServerError{}
}

/*GetAviVipNetworksInternalServerError handles this case with default header values.

Internal server error
*/
type GetAviVipNetworksInternalServerError struct {
	Payload *models.Error
}

func (o *GetAviVipNetworksInternalServerError) Error() string {
	return fmt.Sprintf("[GET /api/avi/vipnetworks][%d] getAviVipNetworksInternalServerError  %+v", 500, o.Payload)
}

func (o *GetAviVipNetworksInternalServerError) GetPayload() *models.Error {
	return o.Payload
}

func (o *GetAviVipNetworksInternalServerError) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}
